probe::socket.aio_read.return
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.aio_read.return — Conclusion of message received via `sock_aio_read`

## Synopsis

    socket.aio_read.return

## Values

`state`

  Socket state value

`family`

  Protocol family value

`size`

  Size of message received (in bytes) or error code if success = 0

`name`

  Name of this probe

`flags`

  Socket flags value

`protocol`

  Protocol value

`success`

  Was receive successful? (1 = yes, 0 = no)

`type`

  Socket type value

## Context

The message receiver.

## Description

Fires at the conclusion of receiving a message on a socket via the `sock_aio_read` function

Prev | Up | Next
probe::socket.aio_read | Home | probe::socket.aio_write